Skip to content

List Trades

Request

This endpoint lists all buy, sell, and maturity events for securities (T-bills) within the customer's accounts.

Returns a paginated TradeListResponse. The list can be filtered by account and a trade datetime range.

Security
CodeBearer(Required scopes: pockets.read)
Query
book_date_fromstring or null(Book Date From)
Any of:

Filters the resulting trade list by book date from the provided ISO8601 date, inclusively

string (date)
book_date_tostring or null(Book Date To)
Any of:

Filters the resulting trade list by book date to the provided ISO8601 date, inclusively

string (date)
settlement_date_fromstring or null(Settlement Date From)
Any of:

Filters the resulting trade list by settlement date from the provided ISO8601 date, inclusively

string (date)
settlement_date_tostring or null(Settlement Date To)
Any of:

Filters the resulting trade list by settlement date to the provided ISO8601 date, inclusively

string (date)
account[]Array of strings or null(Account[])
Any of:
Array of strings (uuid)
trade_datetime_fromstring or null(Trade Datetime From)
Any of:
string (date-time)
trade_datetime_tostring or null(Trade Datetime To)
Any of:
string (date-time)
cursorstring(Cursor)
Default:""
limitinteger, > 0(Limit)
Default:30
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v1/trades/?book_date_from=2019-08-24&book_date_to=2019-08-24&settlement_date_from=2019-08-24&settlement_date_to=2019-08-24&account%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&trade_datetime_from=2019-08-24T14%3A15%3A22Z&trade_datetime_to=2019-08-24T14%3A15%3A22Z&cursor=&limit=30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of objects(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }